# $Revision: 1.4 $, $Date: 2002/04/09 15:09:47 $
Summary:	file to krell plugin for gkrellm
Summary(pl):	Plugin dla gkrellma do odczytu danych z pliku
Summary(pt_BR):	Plugin gkrellm para monitorao de valores em arquivos
Name:		gkrellm-fileread
Version:	0.10.0
Release:	3
License:	GPL
Group:		X11/Applications
Source0:	http://www.yty.net/h/gkrellm/fileread.c
Patch0:		%{name}-ucgk.patch
Patch1:		%{name}-small_fix.patch
BuildRequires:	gkrellm-devel
BuildRequires:	gtk+-devel
BuildRequires:	imlib-devel
Requires:	gkrellm >= 1.0.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
A GKrellM plugin that reads a '<label> <value>' pair from a file and
displays the value in a krell. It can be used to monitor any arbitrary
values put in a file by external processes.

%description -l pl
Plugin dla GKrellMa, ktry czyta pary '<etykieta> <warto>' z pliku
oraz wywietla je w "krellu". Moe by uyty do monitorowania
jakichkolwiek wartoci z zewntrznych procesw.

%description -l pt_BR
Um plugin GKrellM que l um par '<rtulo> <valor>' de um arquivo e o
mostra na tela. Pode ser usado para monitorar um valor qualquer
colocado em um arquivo por outros processos.

%prep -q
%setup -q -T -c -n %{name}
cp -f %{SOURCE0} .
%patch0
%patch1

%build
%{__cc} %{rpmcflags} -Wall \
	`gtk-config --cflags` \
	`imlib-config --cflags-gdk` \
	-shared -o fileread.so fileread.c \
	`gtk-config --libs` \
	`imlib-config --libs-gdk`

%install
rm -rf $RPM_BUILD_ROOT

install -D fileread.so %{buildroot}%{_libdir}/gkrellm/fileread.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gkrellm/fileread.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gkrellm-fileread.spec,v $
Revision 1.4  2002/04/09 15:09:47  arekmat

- release 3
- fixed location of plugin (gkrellm doesn't see it)

Revision 1.3  2002/03/08 10:37:03  qboosh
- typo, cosmetics; release 2

Revision 1.2  2002/03/07 18:22:33  kloczek
- cosmetics.

Revision 1.1  2002/03/07 16:44:31  blues
- raw, based on CNV spec
